Package ru.bgcrm.plugin.bgbilling

# Class TransferData

java.lang.Object
ru.bgcrm.plugin.bgbilling.TransferData

public class TransferData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransferData(DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.ObjectMapper`
  `getObjectMapper()`
  `void`
  `initSession(User user)`
  `com.fasterxml.jackson.databind.JsonNode`
  `postData(RequestJsonRpc request, User user)`
  Отправляет запрос к Web-сервису в формате JSON-RPC.
  `Document`
  `postData(Request request, User user)`
  Отправляет запрос в биллинг, в случае ошибки кидает исключение, при достиженнии таймаута выбрасывается также выбрасывается исключение.
  `byte[]`
  `postDataGetBytes(Request request, User user)`
  Отправляет запрос и возвращает результат в виде массива байтов.
  `String`
  `postDataGetString(Request request, User user)`
  Отправляет запрос и возвращает результат в виде строки, раскодированной `RESPONSE_ENCODING`.
  `com.fasterxml.jackson.databind.JsonNode`
  `postDataReturn(RequestJsonRpc request, User user)`
  Отправляет запрос к Web-сервису в формате JSON-RPC.
  `String`
  `toString()`
  `int`
  `uploadFile(String handler, BGServerFile bgServerFile, InputStream inputStream, User user)`
  Выгружает файл на сервер биллинга.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransferData

    public TransferData(DBInfo dbInfo)

- ## Method Details

  - ### getObjectMapper

    public com.fasterxml.jackson.databind.ObjectMapper getObjectMapper()

  - ### postData

    public Document postData(Request request, User user)
    Отправляет запрос в биллинг, в случае ошибки кидает исключение, при достиженнии таймаута выбрасывается также выбрасывается исключение.
    Parameters:
      `request` -
      `user` -
    Returns:

  - ### postData

    public com.fasterxml.jackson.databind.JsonNode postData(RequestJsonRpc request, User user)
    Отправляет запрос к Web-сервису в формате JSON-RPC. Подробности по работе с форматом в документации `RequestJsonRpc`.
    Parameters:
      `request` -
      `user` -
    Returns:
      елемент `data` из ответа.

  - ### postDataReturn

    public com.fasterxml.jackson.databind.JsonNode postDataReturn(RequestJsonRpc request, User user)
    Отправляет запрос к Web-сервису в формате JSON-RPC. Подробности по работе с форматом в документации `RequestJsonRpc`.
    Parameters:
      `request` -
      `user` -
    Returns:
      елемент `return` из ответа.

  - ### postDataGetBytes

    public byte[] postDataGetBytes(Request request, User user)
    Отправляет запрос и возвращает результат в виде массива байтов.
    Parameters:
      `request` -
      `user` -
    Returns:

  - ### postDataGetString

    public String postDataGetString(Request request, User user)
    Отправляет запрос и возвращает результат в виде строки, раскодированной `RESPONSE_ENCODING`.
    Parameters:
      `request` -
      `user` -
    Returns:

  - ### uploadFile

    public int uploadFile(String handler, BGServerFile bgServerFile, InputStream inputStream, User user) throws IOException, URISyntaxException
    Выгружает файл на сервер биллинга.
    Parameters:
      `handler` - - строка вида kernel/0/method, module/id/method, plugin.id/method
      `bgServerFile` -
      `inputStream` -
    Throws:
      `IOException`
      `URISyntaxException`

  - ### initSession

    public void initSession(User user)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`